

typedef struct Data
{
  float data[1];
} Data;



#if PASS_BY_VALUE
float get(Data data) {
  return data.data[0];
}
#endif

#if PASS_BY_POINTER
float get(Data* data) {
  return data->data[0];
}
#endif


__kernel void bug_kernel(__global Data* datas)
{
  Data data0 = datas[0];
  Data data1 = datas[1];
   
#if PASS_BY_VALUE
  data0.data[0] = get(data1);
#endif

#if PASS_BY_POINTER
  data0.data[0] = get(&data1);
#endif

  datas[0] = data0;
}


